# Folding preferences

You can customize the C/C++ editor folding behavior in the Folding panel of the Preferences window.

Folding Preference Options

Option

Description

Default

Enable folding when opening a new editor

If enabled, apply folding rules to the new editor.

Select folding to use

Select the folding to use from the available choices.

Enable folding of preprocessor branches (#if/#endif)

If enabled, fold preprocessor branches.

Macros

If enabled, fold macro definitions.

On

Functions

If enabled, fold functions.

Off

Methods

If enabled, fold methods.

Off

Structures

If enabled, fold structures.

On

Comments

If enabled, fold comments.

Off

Header Comments

If enabled, fold header comments.

On

Inactive Preprocessor Branches

If enabled, fold inactive processor branches.

On

Coding aids

Customizing the C/C++ editor

C/C++ editor preferences